VARKON Version 1.15 1997-10-24

> ## n_intersect - Function

> Geometrical function
> Description
> Returns the number of intersects between a line, arc or curve and a line, arc, curve, b_plane, XY-plane or surface.
> Syntax
> n_intersect(ref1,ref2,alt)

> REF | ref1;
> REF | ref2;
> INT | alt;

> Principal parameters

> ref1 | - Identity of first entity
> ref2 | - Identity of second entity

> Optional parameters

> alt | 1 = Do not extend lines and arcs (default)
> | -1 = Extend lines and arcs

> Return value
> A INT value equal to the number of times ref1 intersects with ref2.
> Example
> n_intersect(#1,#2) = The number of times #1 intersects with #2.
> Comments
> See the intersect() function for the exact rules of how an intersect is calculated.

VARKON Homepage | Index